# Persistence Intervals and Diagrams

```@docs
PersistenceInterval
```

```@docs
birth
```

```@docs
death
```

```@docs
persistence
```

```@docs
representative
```

```@docs
birth_simplex
```

```@docs
death_simplex
```

```@docs
PersistenceDiagram
```

```@docs
PersistenceDiagrams.table
```

```@docs
barcode(::Union{PersistenceDiagram, AbstractVector{<:PersistenceDiagram}})
```

## Distances Between Persistence Diagrams

```@docs
Bottleneck
```

```@docs
Wasserstein
```

```@docs
matching
```

```@docs
weight
```

## Persistence Diagram Vectorization

```@docs
PersistenceImage
```

```@docs
PersistenceCurve
```

```@docs
BettiCurve
```

```@docs
Landscape
```

```@docs
Silhuette
```

```@docs
Life
```

```@docs
Midlife
```

```@docs
LifeEntropy
```

```@docs
MidlifeEntropy
```

```@docs
PDThresholding
```
